package com.philisense.www.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
@ConfigurationProperties(prefix = "platform.vcode")
public class VcodeProperties {

    private Integer codeLength;

    private Long codeExpiration;

    private Map<String, String> filterUrls;

    private Map<String, String> oauthGrant;

    public Integer getCodeLength() {
        return codeLength;
    }

    public void setCodeLength(Integer codeLength) {
        this.codeLength = codeLength;
    }

    public Long getCodeExpiration() {
        return codeExpiration;
    }

    public void setCodeExpiration(Long codeExpiration) {
        this.codeExpiration = codeExpiration;
    }

    public Map<String, String> getFilterUrls() {
        return filterUrls;
    }

    public void setFilterUrls(Map<String, String> filterUrls) {
        this.filterUrls = filterUrls;
    }

    public Map<String, String> getOauthGrant() {
        return oauthGrant;
    }

    public void setOauthGrant(Map<String, String> oauthGrant) {
        this.oauthGrant = oauthGrant;
    }
}
